### Function

# Gtk CustomRequestModeFunc

#### Declaration

    GtkSizeRequestMode
    CustomRequestModeFunc (
      GtkWidget* widget
    )

#### Description [src]

Queries a widget for its preferred size request mode.

#### Parameters

`widget` | `GtkWidget`
| The widget to be queried.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkSizeRequestMode`
| The size request mode.